XRE build changes for windows mobile

RESOLVED FIXED

Status

()

Toolkit
Startup and Profile System
RESOLVED FIXED
10 years ago
9 years ago

People

(Reporter: dougt, Assigned: wolfe)

Tracking

Trunk
Other
Windows Mobile 6 Standard
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [not needed for 1.9])

Attachments

(1 attachment)

(Reporter)

Description

10 years ago
Created attachment 306458 [details] [diff] [review]
patch v.1

a few small tweaks to get the xre building for windows mobile.

1) build nsIWinAppHelper.idl
2) use the native app supports (we do not need DDE and the other win32 stuff)
3) no elevation on wince, so #ifdef out that code
Attachment #306458 - Flags: review?(benjamin)
(Reporter)

Updated

10 years ago
Status: NEW → ASSIGNED
(Reporter)

Comment 1

10 years ago
Comment on attachment 306458 [details] [diff] [review]
patch v.1

>Index: xre/Makefile.in
>===================================================================
>RCS file: /cvsroot/mozilla/toolkit/xre/Makefile.in,v
>retrieving revision 1.90
>diff -u -r1.90 Makefile.in
>--- xre/Makefile.in	18 Feb 2008 08:50:31 -0000	1.90
>+++ xre/Makefile.in	29 Feb 2008 07:18:54 -0000
>@@ -92,7 +92,7 @@
> 	nsIXULRuntime.idl \
> 	$(NULL)
> 
>-ifeq ($(OS_ARCH),WINNT)
>+ifneq (,$(filter WINCE WINNT,$(OS_ARCH)))
> XPIDLSRCS += nsIWinAppHelper.idl
> endif
> 
>@@ -126,7 +126,11 @@
> endif
> 
> ifeq ($(MOZ_WIDGET_TOOLKIT),windows)
>+ifeq ($(OS_ARCH),WINCE)
>+CPPSRCS += nsNativeAppSupportDefault.cpp
>+else
> CPPSRCS += nsNativeAppSupportWin.cpp
>+endif
> DEFINES += -DWIN32_LEAN_AND_MEAN -DUNICODE -D_UNICODE
> else
> ifeq ($(MOZ_WIDGET_TOOLKIT),cocoa)
>Index: xre/nsAppRunner.cpp
>===================================================================
>RCS file: /cvsroot/mozilla/toolkit/xre/nsAppRunner.cpp,v
>retrieving revision 1.208
>diff -u -r1.208 nsAppRunner.cpp
>--- xre/nsAppRunner.cpp	12 Feb 2008 06:47:40 -0000	1.208
>+++ xre/nsAppRunner.cpp	29 Feb 2008 07:18:54 -0000
>@@ -790,6 +790,10 @@
> NS_IMETHODIMP
> nsXULAppInfo::GetUserCanElevate(PRBool *aUserCanElevate)
> {
>+#ifdef WINCE
>+  *aUserCanElevate = PR_FALSE;
>+  return NS_OK;
>+#else
>   HANDLE hToken;
> 
>   VISTA_TOKEN_ELEVATION_TYPE elevationType;
>@@ -817,6 +821,7 @@
>     CloseHandle(hToken);
> 
>   return NS_OK;
>+#endif // WINCE
> }
> #endif
> 
>@@ -2400,7 +2405,7 @@
>     NS_BREAK();
> #endif
> 
>-#ifdef XP_WIN32
>+#if defined (XP_WIN32) && !defined (WINCE)
>   // Suppress the "DLL Foo could not be found" dialog, such that if dependent
>   // libraries (such as GDI+) are not preset, we gracefully fail to load those
>   // XPCOM components, instead of being ungraceful.
>Index: xre/nsWindowsRestart.cpp
>===================================================================
>RCS file: /cvsroot/mozilla/toolkit/xre/nsWindowsRestart.cpp,v
>retrieving revision 1.5
>diff -u -r1.5 nsWindowsRestart.cpp
>--- xre/nsWindowsRestart.cpp	7 Jan 2008 16:38:12 -0000	1.5
>+++ xre/nsWindowsRestart.cpp	29 Feb 2008 07:18:54 -0000
>@@ -145,6 +145,9 @@
> static BOOL
> LaunchAsNormalUser(const PRUnichar *exePath, PRUnichar *cl)
> {
>+#ifdef WINCE
>+  return PR_FALSE;
>+#else
>   if (!pCreateProcessWithTokenW) {
>     // IsUserAnAdmin is not present on Win9x and not exported by name on Win2k
>     *(FARPROC *)&pIsUserAnAdmin =
>@@ -218,8 +221,8 @@
>   CloseHandle(pi.hThread);
> 
>   return TRUE;
>+#endif
> }
>
> /**
>  * Convert UTF8 to UTF16 without using the normal XPCOM goop, which we
>  * can't link to updater.exe.
Status: ASSIGNED → NEW
Component: Build Config → XRE Startup
Product: Core → Toolkit
QA Contact: build-config → xre.startup
Assignee: nobody → dougt
Status: NEW → ASSIGNED
(Reporter)

Comment 2

10 years ago
what did I do?  apparently you can edit an attachment -- but that makes it a comment.

here is what I was going to do.  In the patch to the make file, i did "ifdef WINCE".  We probably want that to be "ifeq ($(OS_ARCH),WINCE)".

Comment 3

10 years ago
Comment on attachment 306458 [details] [diff] [review]
patch v.1

In LaunchAsNormalUser, return FALSE not PR_FALSE (declared with BOOL).

r=me with that change and your proposed makefile edit
Attachment #306458 - Flags: review?(benjamin) → review+
(Reporter)

Updated

10 years ago
Attachment #306458 - Flags: approval1.9?
Comment on attachment 306458 [details] [diff] [review]
patch v.1

a1.9=beltzner
Attachment #306458 - Flags: approval1.9? → approval1.9+
(Reporter)

Comment 5

10 years ago
not actively working on this, feel free to help yourself.
Assignee: doug.turner → nobody
Status: ASSIGNED → NEW
OS: Other → Windows Mobile 6 Standard
Whiteboard: [not needed for 1.9]
(Reporter)

Comment 6

10 years ago
over to john wolfe who is working on windows mobile.  There may be additional items since I last looked
Assignee: nobody → wolfe

Updated

10 years ago
Component: XRE Startup → Startup and Profile System
QA Contact: xre.startup → startup
(Reporter)

Comment 7

9 years ago
this landed.  sorry i didn't close sooner.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.